OMSimulatorLib The OMSimulator project is a FMI-based co-simulation environment.

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
oms::VoidWriter Class Reference

`#include <ResultWriter.h>`

Inheritance diagram for oms::VoidWriter:
[legend]
Collaboration diagram for oms::VoidWriter:
[legend]

## Public Member Functions
| VoidWriter (unsigned int bufferSize)
| ~VoidWriter ()
Public Member Functions inherited from oms::ResultWriter
| ResultWriter (unsigned int bufferSize)
virtual | ~ResultWriter ()
unsigned int | addSignal (const ComRef &name, const std::string &description, SignalType_t type, bool exportNameUsed=false)
void | addParameter (const ComRef &name, const std::string &description, SignalType_t type, SignalValue_t value, bool exportNameUsed=false)
bool | create (const std::string &filename, double startTime, double stopTime)
void | close ()
void | updateSignal (unsigned int id, SignalValue_t value)
void | emit (double time)

## Protected Member Functions
bool | createFile (const std::string &filename, double startTime, double stopTime)
void | closeFile ()
void | writeFile ()

## Additional Inherited Members
Protected Attributes inherited from oms::ResultWriter
std::vector< Signal > | signals
std::vector< Parameter > | parameters
double * | data_2
unsigned int | bufferSize
unsigned int | nEmits

## Constructor & Destructor Documentation

## ◆ VoidWriter()

oms::VoidWriter::VoidWriter | ( | unsigned int | bufferSize | ) |
| inline

## ◆ ~VoidWriter()

oms::VoidWriter::~VoidWriter | ( |  | ) |
| inline

## Member Function Documentation

## ◆ closeFile()

void oms::VoidWriter::closeFile | ( |  | ) |
| inline protected virtual

Implements oms::ResultWriter.

## ◆ createFile()

bool oms::VoidWriter::createFile | ( | const std::string & | filename,
|  | double | startTime,
|  | double | stopTime
| ) |  |
| inline protected virtual

Implements oms::ResultWriter.

## ◆ writeFile()

void oms::VoidWriter::writeFile | ( |  | ) |
| inline protected virtual

Implements oms::ResultWriter.

The documentation for this class was generated from the following file:

- /var/lib/jenkins1/ws/OMSimulator_PR-1619/src/OMSimulatorLib/ResultWriter.h